apiVersion: source.toolkit.fluxcd.io/v1beta2
kind: OCIRepository
metadata:
  name: n8n
  labels:
    app.kubernetes.io/name: {{ template "n8n.name" . }}
    helm.sh/chart: {{ .Chart.Name }}-{{ .Chart.Version }}
    app.kubernetes.io/instance: {{ .Release.Name }}
    app.kubernetes.io/managed-by: {{ .Release.Service }}
spec:
  interval: 5m
  url: oci://8gears.container-registry.com/library/n8n
  ref:
    tag: 0.25.2
---
apiVersion: helm.toolkit.fluxcd.io/v2beta1
kind: HelmRelease
metadata:
  name: {{ .Release.Name }}-release
  labels:
    app.kubernetes.io/name: {{ template "n8n.name" . }}
    helm.sh/chart: {{ .Chart.Name }}-{{ .Chart.Version }}
    app.kubernetes.io/instance: {{ .Release.Name }}
    app.kubernetes.io/managed-by: {{ .Release.Service }}
spec:
  interval: 5m
  chart:
    spec:
      chart: n8n
      version: {{ .Chart.Version }}
      sourceRef:
        apiVersion: source.toolkit.fluxcd.io/v1beta1
        kind: HelmRepository
        name: n8n
  values:
    replicaCount: {{ .Values.config.n8n.replicas }}
    image:
      repository: {{ .Values.images.n8n.repository }}
      pullPolicy: {{ .Values.config.imagePullPolicy }}
      tag: {{ .Values.images.n8n.tag }}
    livenessProbe:
      httpGet:
        path: {{ .Values.config.n8n.livenessProbe.httpGet.path }}
        port: {{ .Values.config.n8n.livenessProbe.httpGet.port }}
    readinessProbe:
      httpGet:
        path: {{ .Values.config.n8n.readinessProbe.httpGet.path }}
        port: {{ .Values.config.n8n.readinessProbe.httpGet.port }}
    service:
      type: {{ .Values.service.n8n.type }}
      port: {{ .Values.service.n8n.port }}
    resources:
      limits:
        cpu: {{ .Values.config.n8n.resources.limits.cpu }}
        memory: {{ .Values.config.n8n.resources.limits.memory }}
      requests:
        cpu: {{ .Values.config.n8n.resources.requests.cpu }}
        memory: {{ .Values.config.n8n.resources.requests.memory }}
